Summary:	KDE Frameworks 5 Google services access module
Name:		libkgapi
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5calendarcore-devel
BuildRequires:	kf5contacts-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngineCore)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
for various Google services.

Currently supported APIs:
  - Calendar API v3 (https://developers.google.com/google-apps/calendar)
  - Contacts API v3 (https://developers.google.com/google-apps/contacts/v3/)
  - Tasks API v1 (https://developers.google.com/google-apps/tasks)
  - Latitude API v1 (https://developers.google.com/latitude/v1/)
  - Static Google Maps API v2
    (https://developers.google.com/maps/documentation/staticmaps/)
  - Drive API v2 (https://developers.google.com/drive/v2/reference)
  - Blogger API v3 (https://developers.google.com/blogger/docs/3.0/reference/)

%files
%{_kde5_sysconfdir}/xdg/libkgapi.categories

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 Google services access library translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDE Frameworks 5 Google services access library translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kpimgapiblogger_major 5
%define libkpimgapiblogger %mklibname kpimgapiblogger %{kpimgapiblogger_major}

%package -n %{libkpimgapiblogger}
Summary:	KDE Frameworks 5 Google services access shared library
Group:		System/Libraries

%description -n %{libkpimgapiblogger}
KDE Frameworks 5 Google services access shared library.

%files -n %{libkpimgapiblogger}
%{_kde5_libdir}/libKPimGAPIBlogger.so.%{kpimgapiblogger_major}*

#----------------------------------------------------------------------------

%define kpimgapicalendar_major 5
%define libkpimgapicalendar %mklibname kpimgapicalendar %{kpimgapicalendar_major}

%package -n %{libkpimgapicalendar}
Summary:	KDE Frameworks 5 Google services access shared library
Group:		System/Libraries

%description -n %{libkpimgapicalendar}
KDE Frameworks 5 Google services access shared library.

%files -n %{libkpimgapicalendar}
%{_kde5_libdir}/libKPimGAPICalendar.so.%{kpimgapicalendar_major}*

#----------------------------------------------------------------------------

%define kpimgapicontacts_major 5
%define libkpimgapicontacts %mklibname kpimgapicontacts %{kpimgapicontacts_major}

%package -n %{libkpimgapicontacts}
Summary:	KDE Frameworks 5 Google services access shared library
Group:		System/Libraries

%description -n %{libkpimgapicontacts}
KDE Frameworks 5 Google services access shared library.

%files -n %{libkpimgapicontacts}
%{_kde5_libdir}/libKPimGAPIContacts.so.%{kpimgapicontacts_major}*

#----------------------------------------------------------------------------

%define kpimgapicore_major 5
%define libkpimgapicore %mklibname kpimgapicore %{kpimgapicore_major}

%package -n %{libkpimgapicore}
Summary:	KDE Frameworks 5 Google services access shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkpimgapicore}
KDE Frameworks 5 Google services access shared library.

%files -n %{libkpimgapicore}
%{_kde5_libdir}/libKPimGAPICore.so.%{kpimgapicore_major}*

#----------------------------------------------------------------------------

%define kpimgapidrive_major 5
%define libkpimgapidrive %mklibname kpimgapidrive %{kpimgapidrive_major}

%package -n %{libkpimgapidrive}
Summary:	KDE Frameworks 5 Google services access shared library
Group:		System/Libraries

%description -n %{libkpimgapidrive}
KDE Frameworks 5 Google services access shared library.

%files -n %{libkpimgapidrive}
%{_kde5_libdir}/libKPimGAPIDrive.so.%{kpimgapidrive_major}*

#----------------------------------------------------------------------------

%define kpimgapilatitude_major 5
%define libkpimgapilatitude %mklibname kpimgapilatitude %{kpimgapilatitude_major}

%package -n %{libkpimgapilatitude}
Summary:	KDE Frameworks 5 Google services access shared library
Group:		System/Libraries

%description -n %{libkpimgapilatitude}
KDE Frameworks 5 Google services access shared library.

%files -n %{libkpimgapilatitude}
%{_kde5_libdir}/libKPimGAPILatitude.so.%{kpimgapilatitude_major}*

#----------------------------------------------------------------------------

%define kpimgapimaps_major 5
%define libkpimgapimaps %mklibname kpimgapimaps %{kpimgapimaps_major}

%package -n %{libkpimgapimaps}
Summary:	KDE Frameworks 5 Google services access shared library
Group:		System/Libraries

%description -n %{libkpimgapimaps}
KDE Frameworks 5 Google services access shared library.

%files -n %{libkpimgapimaps}
%{_kde5_libdir}/libKPimGAPIMaps.so.%{kpimgapimaps_major}*

#----------------------------------------------------------------------------

%define kpimgapitasks_major 5
%define libkpimgapitasks %mklibname kpimgapitasks %{kpimgapitasks_major}

%package -n %{libkpimgapitasks}
Summary:	KDE Frameworks 5 Google services access shared library
Group:		System/Libraries

%description -n %{libkpimgapitasks}
KDE Frameworks 5 Google services access shared library.

%files -n %{libkpimgapitasks}
%{_kde5_libdir}/libKPimGAPITasks.so.%{kpimgapitasks_major}*

#----------------------------------------------------------------------------

%define devname %mklibname kgapi -d

%package -n %{devname}
Summary:	Development files KDE Frameworks 5 Google services access module
Group:		Development/KDE and Qt
Requires:	%{libkpimgapiblogger} = %{EVRD}
Requires:	%{libkpimgapicalendar} = %{EVRD}
Requires:	%{libkpimgapicontacts} = %{EVRD}
Requires:	%{libkpimgapicore} = %{EVRD}
Requires:	%{libkpimgapidrive} = %{EVRD}
Requires:	%{libkpimgapilatitude} = %{EVRD}
Requires:	%{libkpimgapimaps} = %{EVRD}
Requires:	%{libkpimgapitasks} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5gapi-devel = %{EVRD}
Provides:	kpimgapi-devel = %{EVRD}

%description -n %{devname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devname}
%{_kde5_includedir}/KPim/KGAPI
%{_kde5_includedir}/KPim/kgapi_version.h
%{_kde5_libdir}/cmake/KPimGAPI
%{_kde5_libdir}/libKPimGAPIBlogger.so
%{_kde5_libdir}/libKPimGAPICalendar.so
%{_kde5_libdir}/libKPimGAPIContacts.so
%{_kde5_libdir}/libKPimGAPICore.so
%{_kde5_libdir}/libKPimGAPIDrive.so
%{_kde5_libdir}/libKPimGAPILatitude.so
%{_kde5_libdir}/libKPimGAPIMaps.so
%{_kde5_libdir}/libKPimGAPITasks.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-qt

%changelog

* Wed Mar 21 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (780d0b6) Update files


